package core

import "gitea.pena/PenaSide/discount/pkg/mongo"

type Config struct {
	GRPC     GRPCConfiguration
	HTTP     HTTPConfiguration
	Database DatabaseConfiguration
}

type GRPCConfiguration struct {
	Host string `env:"GRPC_HOST,default=localhost"`
	Port string `env:"GPRC_PORT,default=9001"`
}

type HTTPConfiguration struct {
	Port string `env:"HTTP_PORT,default=8001"`
}

type DatabaseConfiguration struct {
	Connection mongo.Configuration
}
