package transfer

import (
	"gitea.pena/PenaSide/discount/internal/core"
	"gitea.pena/PenaSide/discount/internal/proto/discount"
)

func OptionalDiscountProtoToCore(discount *discount.DiscountOptional) *core.DiscountOptional {
	if discount == nil {
		return &core.DiscountOptional{}
	}

	return &core.DiscountOptional{
		Name:        discount.Name,
		Layer:       discount.Layer,
		Description: discount.Description,
		Condition:   DiscountConditionProtoToModel(discount.Condition),
		Target:      DiscountCalculationTargetProtoToModel(discount.Target),
		Deprecated:  discount.Deprecated,
	}
}
