package core

import "gitea.pena/PenaSide/discount/internal/models"

type UpdateDiscountSettings struct {
	ID          string
	Condition   *models.DiscountCondition
	Name        *string
	Description *string
	Layer       *uint32
	Deprecated  *bool
	Products    *[]models.ProductTarget
	Factor      *float64
	TargetScope *models.TargetScope
	TargetGroup *string
	Overhelm    *bool
}

type FilterDiscountSettings struct {
	ID          *string
	Condition   *models.DiscountCondition
	Name        *string
	Description *string
	Layer       *uint32
	Deprecated  *bool
	Products    *[]models.ProductTarget
	Factor      *float64
	TargetScope *models.TargetScope
	TargetGroup *string
	Overhelm    *bool
}
