package initialize

import (
	"github.com/sirupsen/logrus"
	"go.mongodb.org/mongo-driver/mongo"
	"gitea.pena/PenaSide/discount/internal/repository"
)

type RepositoriesDeps struct {
	Database *mongo.Database
	Logger   *logrus.Logger
}

type Repositories struct {
	DiscountRepository *repository.DiscountRepository
}

func NewRepositories(deps *RepositoriesDeps) *Repositories {
	return &Repositories{
		DiscountRepository: repository.NewDiscountRepository(deps.Database.Collection("discounts"), deps.Logger),
	}
}
