package repository

import "errors"

var (
	ErrNoRecord                = errors.New("no record in DB")
	ErrInvalidID               = errors.New("invalid _id format")
	ErrInsertRecord            = errors.New("can't insert new record")
	ErrFindRecord              = errors.New("can't find record")
	ErrUpdateRecord            = errors.New("can't update record")
	ErrTransactionSessionStart = errors.New("failed to start transaction session")
	ErrTransaction             = errors.New("transaction error")
	ErrMethodNotImplemented    = errors.New("method is not implemented")
	ErrEmptyArgs               = errors.New("arguments are empty")
	ErrAlreadyExistDiscount    = errors.New("failed check already exist discount")
)
