package discount_test

import (
	"testing"

	"github.com/stretchr/testify/assert"
	"go.mongodb.org/mongo-driver/bson"
	"gitea.pena/PenaSide/discount/internal/utils/expression/discount"
)

func TestConstituteCommonConditions(t *testing.T) {
	t.Run("Формирование фильтра общих условий поиска с nil", func(t *testing.T) {
		assert.Equal(t, []bson.M{}, discount.ConstituteCommonConditions(nil))
	})
}

func TestConstituteOptionalConditions(t *testing.T) {
	t.Run("Формирование фильтра опциональных условий поиска и nil", func(t *testing.T) {
		assert.Equal(t, []bson.M{}, discount.ConstituteOptionalConditions(nil))
	})
}
