package convert_test

import (
	"testing"

	"github.com/stretchr/testify/assert"
	"gitea.pena/PenaSide/discount/pkg/convert"
)

func TestFloatToUint64(t *testing.T) {
	t.Run("Успешная конвертация float32 в uint32", func(t *testing.T) {
		assert.Equal(t, uint64(10), convert.FloatToUint64(float32(10.6)))
	})

	t.Run("Успешная конвертация float64 в uint32", func(t *testing.T) {
		assert.Equal(t, uint64(10), convert.FloatToUint64(float64(10.6)))
	})

	t.Run("Успешная конвертация float64 в uint32 (2)", func(t *testing.T) {
		assert.Equal(t, uint64(10), convert.FloatToUint64(float64(10)))
	})
}
